mail_to = "e.balbekova@labinsys.ru"    // Кого оповещать всегда при любой сборке или неудаче (разработчики)
rc_mail_to = "m.troshechkin@bbserv.ru, s.lysikov@bbserv.ru"       // Кого дополнительно оповещать при выходе релиз-кандидата (тестировщики)
release_mail_to = "a.kolyaskin@labinsys.ru"   // Кого дополнительно оповещать при релизе (производство, ГИП, менеджеры и т.п.)

targetFolder = "firmware/BT-67xx/bt67xx_universal_hw/"    // Папка в хранилище, где будут располагаться артефакты. 
                                               // Указывает на репозиторий и  семейство продуктов ('EPU', 'bt67xx', 'Modem' и т.п.)
                                           
outputFolder = "output_all/"    // Папка в репозитории, где лежат рузультаты сборки.
fwRegex = "BT_67*xx.bin"          // Какие файлы публиковать при релизе основного ПО
mibRegex = "*.MIB"              // Какие MIB-файлы сохранять при релизе
serviceRegex = "BT_*service.bin"   // Какие файлы публиковать при релизе сервисного ПО
bootloaderRegex = "iap.bin"     // Какие файлы публиковать при релизе загрузчика
changelogFileName = "Changelog.md"    // Имя файла с историей релизов ПО


// Скрипт с инструкцией для сборки ПО, например "make" или "make preconfig && make".
// Так же в скрипте необходимо скопировать MIB файлы в папку  ${outputPath} 
// Если сборка производится для нескольких устройств - MIB файлы должны лежать в подпапках устрйоств
makeScript = """\
make HARDWARE=bt6703 VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-80-0A || true

make distclean
make HARDWARE=bt6703 VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-80-0A
mkdir -p ./output_all/bt6703/
cp ./output/* ./output_all/bt6703/
cp ./docs/bt6703/*.MIB ./output_all/bt6703/
cp ./docs/bt6703/Changelog.md ./output_all/bt6703/

make distclean
make HARDWARE=bt6703_rt VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-81-0A
mkdir -p ./output_all/bt6703-rt/
cp ./output/* ./output_all/bt6703-rt/
cp ./docs/bt6703_rt/*.MIB ./output_all/bt6703-rt/
cp ./docs/bt6703_rt/Changelog.md ./output_all/bt6703-rt/

make distclean
make HARDWARE=bt6707 VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-83-0A
mkdir -p ./output_all/bt6707/
cp ./output/* ./output_all/bt6707/
cp ./docs/bt6707/*.MIB ./output_all/bt6707/
cp ./docs/bt6707/Changelog.md ./output_all/bt6707/

make distclean
make HARDWARE=bt6709 VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-93-DA
mkdir -p ./output_all/bt6709/
cp ./output/* ./output_all/bt6709/
cp ./docs/bt6709/*.MIB ./output_all/bt6709/
cp ./docs/bt6709/Changelog.md ./output_all/bt6709/

make distclean
make HARDWARE=bt6709_mts VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-94-DA
mkdir -p ./output_all/bt6709-mts/
cp ./output/* ./output_all/bt6709-mts/
cp ./docs/bt6709_mts/*.MIB ./output_all/bt6709-mts/
cp ./docs/bt6709_mts/Changelog.md ./output_all/bt6709-mts/

make distclean
make HARDWARE=bt6710 VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-EE-DA
mkdir -p ./output_all/bt6710/
cp ./output/* ./output_all/bt6710/
cp ./docs/bt6710/*.MIB ./output_all/bt6710/
cp ./docs/bt6710/Changelog.md ./output_all/bt6710/
                
make distclean
make HARDWARE=bt6711 VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-EE-DВ
mkdir -p ./output_all/bt6711/
cp ./output/* ./output_all/bt6711/
cp ./docs/bt6711/*.MIB ./output_all/bt6711/
cp ./docs/bt6711/Changelog.md ./output_all/bt6711/

make distclean
make HARDWARE=bt6711_v1 VERBOSE=1 DEBUG=0 PRINTF=custom MAC=EC-4C-4D-00-EE-DC
mkdir -p ./output_all/bt6711-v1/
cp ./output/* ./output_all/bt6711-v1/
cp ./docs/bt6711_v1/*.MIB ./output_all/bt6711-v1/
cp ./docs/bt6711_v1/Changelog.md ./output_all/bt6711-v1/
"""

// Следующие три параметра уточнить у ответственного тестировщика
testType = "robot"    // Тип тестов. По сути указывает на репозиторий с тестами на определенном фреймворке
testTags = "smoke"    // Теги, с которыми запускаются тесты. Определяют, какие наборы тестов будут запущены

// Указывает на имя настроенного Jenkins-агента с необходимым окружением для сборки, при изменениях в требуемом окружении уведомить DevOps!!
buildenvAgent = "stm32-buildenv-agent-v1"

// Список устройств, для которых компилируется данный код (только тукущая ветка, не весь репозиторий). 
// При сборке релиза проверяется, что устройство указанное в теге состоит в этом множестве.
// Синтаксис: groovy list
devices = ['bt6703', 'bt6703-rt', 'bt6707', 'bt6709', 'bt6709-mts', 'bt6710', 'bt6711', 'bt6711-v1']